[remote-dbg-next] Change icon of extensions, workers and processes in about:devtools-toolbox

VERIFIED FIXED in Firefox 68

Status

enhancement
P1
normal
VERIFIED FIXED
3 months ago
Last month

People

(Reporter: daisuke, Assigned: ladybenko)

Tracking

(Blocks 3 bugs)

unspecified
Firefox 68
Dependency tree / graph

Firefox Tracking Flags

(firefox68 verified, firefox69 verified)

Details

(Whiteboard: [remote-debugging-reserve])

Attachments

(4 attachments)

Reporter

Description

3 months ago

This is a followup of bug 1539321.
Currently, because we assumed that debugging in new tab is only tab, the icon is fixed. https://searchfox.org/mozilla-central/source/devtools/client/framework/components/DebugTargetInfo.js#104
However, in that bug, extensions, since workers and processes became to be the target of debugging on new tab, we need to change the icon by the type.

Assignee

Updated

3 months ago
Priority: -- → P3
Assignee

Updated

3 months ago
Assignee: nobody → balbeza
Status: NEW → ASSIGNED
Priority: P3 → P1
Whiteboard: [remote-debugging-reserve]
Assignee

Updated

3 months ago
Blocks: 1542134
Assignee

Updated

3 months ago
Blocks: 1542801

Comment 4

3 months ago
Pushed by balbeza@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/29b64aed3474
Part 1: share constants between about:debugging and DebugTargetInfo r=jdescottes,Ola
https://hg.mozilla.org/integration/autoland/rev/8b3d1e3ae296
Part 2: display target type icon in DebugTargetInfo component r=jdescottes,Ola
https://hg.mozilla.org/integration/autoland/rev/878f78400ed7
Part 3: add Jest tests to check display of debug target type info r=jdescottes,Ola

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception&revision=878f78400ed7123ddfc8b431c9dfc6225dfcbc1b&searchStr=devtools&selectedJob=239017739

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=239017739&repo=autoland&lineNumber=5614

Backout link: https://hg.mozilla.org/integration/autoland/rev/ae6b824bbe75f21fba58d990de702d25799ce200

[task 2019-04-09T10:32:10.541Z] 10:32:10 INFO - TEST-PASS | devtools/client/framework/test/browser_toolbox_target.js | Host type of this toolbox shuld be Toolbox.HostType.PAGE -
[task 2019-04-09T10:32:10.542Z] 10:32:10 INFO - Removing the iframes
[task 2019-04-09T10:32:10.544Z] 10:32:10 INFO - Waiting for toolbox-destroyed
[task 2019-04-09T10:32:10.545Z] 10:32:10 INFO - Console message: [JavaScript Error: "TypeError: this.frameButton is undefined" {file: "resource://devtools/client/framework/toolbox.js" line: 2553}]
[task 2019-04-09T10:32:10.547Z] 10:32:10 INFO - Buffered messages finished
[task 2019-04-09T10:32:10.548Z] 10:32:10 INFO - TEST-UNEXPECTED-FAIL | devtools/client/framework/test/browser_toolbox_target.js | Test timed out -
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - TEST-UNEXPECTED-FAIL | devtools/client/framework/test/browser_toolbox_target.js | A promise chain failed to handle a rejection: this.frameButton is undefined - stack: _updateFrames@resource://devtools/client/framework/toolbox.js:2553:24
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - _listFrames@resource://devtools/client/framework/toolbox.js:2475:10
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - asyncopen/<@resource://devtools/client/framework/toolbox.js:494:34
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - Async
open@resource://devtools/client/framework/toolbox.js:601:18
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - createToolbox@resource://devtools/client/framework/devtools.js:559:19
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - asyncshowToolbox@resource://devtools/client/framework/devtools.js:473:35
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - initToolbox@chrome://devtools/content/framework/toolbox-init.js:121:21
[task 2019-04-09T10:32:10.554Z] 10:32:10 INFO - async
@chrome://devtools/content/framework/toolbox-init.js:137:5
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - Rejection date: Tue Apr 09 2019 10:30:40 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - Stack trace:
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - chrome://mochikit/content/browser-test.js:nextTest:755
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - chrome://mochikit/content/browser-test.js:timeoutFn:1212
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - setTimeout handler*chrome://mochikit/content/browser-test.js:Tester_execTest:1174
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-04-09T10:32:10.555Z] 10:32:10 INFO - GECKO(1071) | MEMORY STAT | vsize 2250MB | residentFast 377MB | heapAllocated 102MB
[task 2019-04-09T10:32:10.559Z] 10:32:10 INFO - TEST-OK | devtools/client/framework/test/browser_toolbox_target.js | took 90107ms

Flags: needinfo?(balbeza)

Comment 6

3 months ago
Pushed by balbeza@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/51e1db28ce22
Part 1: share constants between about:debugging and DebugTargetInfo r=jdescottes,Ola
https://hg.mozilla.org/integration/autoland/rev/f3e332b425b3
Part 2: display target type icon in DebugTargetInfo component r=jdescottes,Ola
https://hg.mozilla.org/integration/autoland/rev/c15c9dd0fb2b
Part 3: add Jest tests to check display of debug target type info r=jdescottes,Ola

Comment 7

3 months ago
bugherder
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
Assignee

Updated

2 months ago
Flags: needinfo?(balbeza)
Posted image image28.png

Attaching a screenshot of what the header looks like now when debugging an extension.

Comment 9

Last month

Verified as fixed on Firefox Nightly 69.0a1 (2019-05-21) and on 68.0b3 on Windows 10 x 64, Mac OS X 10.14 and on Ubuntu 18.04 x64.

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.